Subject: bug#34573: Backtrace of guix pull failed

From: Vincent Rouvreau <[email-masked]>
Date: Tue, 19 Feb 2019 17:48:01 +0100 (CET)

Hello,

I rolled back all my generations (I hope this is good - with command guix package --roll-back)

$ guix package -i python python-numpy python-conda
Les paquets suivants seront installés :
   python	3.7.0	/gnu/store/9z98cvjm7p7z21xdid1ryydxy5vyz6wr-python-3.7.0
   python-numpy	1.15.4	/gnu/store/hsdzxq5jvb96yffnxqp8h4lq5z59r29k-python-numpy-1.15.4
   python-conda	4.3.16	/gnu/store/gabw5n3216xzbbsjsc5j5vhjpninanyh-python-conda-4.3.16

$ eval `guix package --search-paths=prefix`

It seems there is no issue.

nscd seems to be launched. I am not admin on the server.
$ ps aux | grep nscd
vrou001   25642  0.0  0.0 112688   976 pts/37   S+   17:46   0:00 grep --color=auto nscd
nscd     135028  0.0  0.0 768500  4020 ?        Ssl  févr.11   2:17 /usr/sbin/nscd

Maybe this is not a guix bug but a server issue.
Sorry for the noise, I will see with the admin.

Regards,

Vincent Rouvreau

----- Mail original -----
> De: "Andreas Enge" <[email-masked]>
> À: "vincent rouvreau" <[email-masked]>
> Cc: [email-masked]
> Envoyé: Mardi 19 Février 2019 16:42:02
> Objet: Re: bug#34573: Backtrace of guix pull failed

> Bonjour Vincent,
> 
> On Tue, Feb 19, 2019 at 10:55:58AM +0100, Vincent Rouvreau wrote:
>> And guix pull failed :
>> 
>>     guix package -i python python-numpy python-conda
>>     eval `guix package --search-paths=prefix`
> 
> so the first two commands succeeded?
> 
>>     guix pull
>> Backtrace:
>> In ice-9/boot-9.scm:
>>   2887:24 19 (_)
>>    222:29 18 (map1 (((guix i18n)) ((guix gexp)) ((guix sets)) ((?)) ?))
>>    222:29 17 (map1 (((guix gexp)) ((guix sets)) ((guix utils)) (#) ?))
>>    222:29 16 (map1 (((guix sets)) ((guix utils)) ((guix store)) (#) ?))
>>    222:29 15 (map1 (((guix utils)) ((guix store)) ((guix config)) # ?))
>>    222:29 14 (map1 (((guix store)) ((guix config)) ((guix #)) ((?)) ?))
>>    222:29 13 (map1 (((guix config)) ((guix packages)) ((guix #)) # ?))
>>    222:29 12 (map1 (((guix packages)) ((guix profiles)) ((guix #)) ?))
>>    222:17 11 (map1 (((guix profiles)) ((guix derivations)) ((# #)) ?))
>>   2800:17 10 (resolve-interface (guix profiles) #:select _ #:hide _ # ?)
>> In ice-9/threads.scm:
>>     390:8  9 (_ _)
>> In ice-9/boot-9.scm:
>>   2726:13  8 (_)
> 
> Could you post the lines preceding this error message? I just experienced
> a similar case, and the real error happened before (a package needed to be
> compiled first and failed).
> 
> Could you please send the output of
>   guix --version
> and
>   guix describe
> ?
> 
> Thanks,
> 
> Andreas